<script setup>
import { computed } from "vue";

const props = defineProps({
  options: {
    type: Object,
    default: () => {},
  },
  name: {
    type: String,
    required: true,
  },
  type: {
    type: String,
    default: "radio",
  },
  column: Boolean,
  modelValue: {
    type: [Object, Array, String, Number],
    default: null,
  },
});

const emit = defineEmits(["update:modelValue"]);

const computedValue = computed({
  get: () => props.modelValue,
  set: (value) => {
    emit("update:modelValue", value);
  },
});

const inputType = computed(() =>
  props.type === "radio" ? "radio" : "checkbox"
);
</script>

<template>
  <div
    class="flex justify-start flex-wrap -mb-3"
    :class="{ 'flex-col': column }"
  >
    <label
      v-for="(value, key) in options"
      :key="key"
      
      class="mr-3 mb-2 last:mr-0"
    >
      <!-- <span class="control-label text-black-250 font-medium text-sm mr-2">off</span> -->
      <input
        v-model="computedValue"
        type="radio"
        :name="name"
        
        class="w-4 h-4 mr-2 outline-none checked:bg-pink-250 active:bg-pink-250 focus:bg-pink-250 focus:ring-pink-250 text-pink-250 border-pink-250 rounded-full"
      />
      <span class="check" />
      <!-- <span class="control-label text-black-250 font-medium text-sm">on</span> -->
      <span class="control-label text-black-250 font-medium text-base">{{
        value
      }}</span>
    </label>
  </div>
</template>
